ros-rolling-tricycle-controller (4.22.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Mar 2025 00:00:00 -0000

ros-rolling-tricycle-controller (4.21.0-1noble) noble; urgency=high

  * Cleanup wrong lifecycle transitions in tests and unnecessary checks (#1534 <https://github.com/ros-controls/ros2_controllers/issues/1534>)
  * Fix use of M_PI in steering_controllers_library and tricycle_controller (#1536 <https://github.com/ros-controls/ros2_controllers/issues/1536>)
  * Contributors: Christoph Fröhlich, Silvio Traversaro

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Mar 2025 00:00:00 -0000

ros-rolling-tricycle-controller (4.20.0-1noble) noble; urgency=high

  * Update paths of GPL includes (#1487 <https://github.com/ros-controls/ros2_controllers/issues/1487>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Jan 2025 00:00:00 -0000

ros-rolling-tricycle-controller (4.19.0-1noble) noble; urgency=high

  * Remove empty on_shutdown() callbacks (#1477 <https://github.com/ros-controls/ros2_controllers/issues/1477>)
  * Remove visibility macros (#1451 <https://github.com/ros-controls/ros2_controllers/issues/1451>)
  * Contributors: Bence Magyar, Julia Jia

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Jan 2025 00:00:00 -0000

ros-rolling-tricycle-controller (4.18.0-1noble) noble; urgency=high

  * [CI] Add clang job and setup concurrency (#1407 <https://github.com/ros-controls/ros2_controllers/issues/1407>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Dec 2024 00:00:00 -0000

ros-rolling-tricycle-controller (4.17.0-1noble) noble; urgency=high

  * Use the .hpp headers from realtime_tools package (#1406 <https://github.com/ros-controls/ros2_controllers/issues/1406>)
  * Fix RealtimeBox API changes (#1385 <https://github.com/ros-controls/ros2_controllers/issues/1385>)
  * Add few warning flags to error in all ros2_controllers packages and fix tests (#1370 <https://github.com/ros-controls/ros2_controllers/issues/1370>)
  * TractionLimiter: Fix wrong input checks (#1341 <https://github.com/ros-controls/ros2_controllers/issues/1341>)
  * Update maintainers and add url tags (#1363 <https://github.com/ros-controls/ros2_controllers/issues/1363>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 07 Dec 2024 00:00:00 -0000

ros-rolling-tricycle-controller (4.16.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Nov 2024 00:00:00 -0000

ros-rolling-tricycle-controller (4.15.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Oct 2024 23:00:00 -0000

ros-rolling-tricycle-controller (4.14.0-1noble) noble; urgency=high

  * rename get/set_state to get/set_lifecylce_state (#1250 <https://github.com/ros-controls/ros2_controllers/issues/1250>)
  * Contributors: Manuel Muth

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 23:00:00 -0000

ros-rolling-tricycle-controller (4.13.0-1noble) noble; urgency=high

  * Fixes tests to work with use_global_arguments NodeOptions parameter  (#1256 <https://github.com/ros-controls/ros2_controllers/issues/1256>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 23:00:00 -0000

ros-rolling-tricycle-controller (4.12.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Aug 2024 23:00:00 -0000

ros-rolling-tricycle-controller (4.12.0-1noble) noble; urgency=high

  * Add missing includes (#1226 <https://github.com/ros-controls/ros2_controllers/issues/1226>)
  * Unused header cleanup (#1199 <https://github.com/ros-controls/ros2_controllers/issues/1199>)
  * Fix WaitSet issue in tests  (#1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>)
  * Fix parallel gripper controller CI (#1202 <https://github.com/ros-controls/ros2_controllers/issues/1202>)
  * Contributors: Christoph Fröhlich, Henry Moore, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 23:00:00 -0000

ros-rolling-tricycle-controller (4.11.0-1noble) noble; urgency=high

  * added changes corresponding to the logger and clock propagation in ResourceManager (#1184 <https://github.com/ros-controls/ros2_controllers/issues/1184>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 23:00:00 -0000

ros-rolling-tricycle-controller (4.10.0-1noble) noble; urgency=high

  * Remove unstamped twist subscribers + parameters (#1151 <https://github.com/ros-controls/ros2_controllers/issues/1151>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Jun 2024 23:00:00 -0000

ros-rolling-tricycle-controller (4.9.0-1noble) noble; urgency=high

  * Add mobile robot kinematics 101 and improve steering library docs (#954 <https://github.com/ros-controls/ros2_controllers/issues/954>)
  * Bump version of pre-commit hooks (#1157 <https://github.com/ros-controls/ros2_controllers/issues/1157>)
  * Contributors: Christoph Fröhlich, github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Jun 2024 23:00:00 -0000

ros-rolling-tricycle-controller (4.8.0-1noble) noble; urgency=high

  * Add parameter check for geometric values (#1120 <https://github.com/ros-controls/ros2_controllers/issues/1120>)
  * Deprecate non-stamped twist for tricycle_controller and steering_controllers (#1093 <https://github.com/ros-controls/ros2_controllers/issues/1093>)
  * add missing compiler definitions of RCPPUTILS_VERSION (#1089 <https://github.com/ros-controls/ros2_controllers/issues/1089>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 May 2024 23:00:00 -0000

ros-rolling-tricycle-controller (4.7.0-1noble) noble; urgency=high

  * added conditioning to have rolling tags compilable in older versions (#1071 <https://github.com/ros-controls/ros2_controllers/issues/1071>)
  * Fix usage of visibility macros (#1039 <https://github.com/ros-controls/ros2_controllers/issues/1039>)
  * Contributors: Sai Kishor Kothakota, Silvio Traversaro

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Mar 2024 00:00:00 -0000

ros-rolling-tricycle-controller (4.6.0-1noble) noble; urgency=high

  * Fix usage of M_PI on Windows (#1036 <https://github.com/ros-controls/ros2_controllers/issues/1036>)
  * Add test_depend on hardware_interface_testing (#1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>)
  * Fix tests for using new get_node_options API (#840 <https://github.com/ros-controls/ros2_controllers/issues/840>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota, Silvio Traversaro

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-rolling-tricycle-controller (4.5.0-1noble) noble; urgency=high

  * [tricycle_controller] Use generate_parameter_library (#957 <https://github.com/ros-controls/ros2_controllers/issues/957>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-rolling-tricycle-controller (4.4.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 11 Jan 2024 00:00:00 -0000

ros-rolling-tricycle-controller (4.3.0-1noble) noble; urgency=high

  * Add few warning flags to error (#961 <https://github.com/ros-controls/ros2_controllers/issues/961>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jan 2024 00:00:00 -0000

ros-rolling-tricycle-controller (4.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-rolling-tricycle-controller (4.1.0-1noble) noble; urgency=high

  * Increase test coverage of interface configuration getters (#856 <https://github.com/ros-controls/ros2_controllers/issues/856>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Dec 2023 00:00:00 -0000

ros-rolling-tricycle-controller (4.0.0-1noble) noble; urgency=high

  * fix tests for API break of passing controller manager update rate in init method (#854 <https://github.com/ros-controls/ros2_controllers/issues/854>)
  * Adjust tests after passing URDF to controllers (#817 <https://github.com/ros-controls/ros2_controllers/issues/817>)
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 Nov 2023 00:00:00 -0000

ros-rolling-tricycle-controller (3.17.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Oct 2023 00:00:00 -0000

ros-rolling-tricycle-controller (3.16.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 19 Sep 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.15.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.14.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Aug 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.13.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Aug 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.12.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Jul 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.11.0-1noble) noble; urgency=high

  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>)
  * Contributors: gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 Jun 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.10.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 05 Jun 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.10.0-1noble) noble; urgency=high

  * enable ReflowComments to also use ColumnLimit on comments (#625 <https://github.com/ros-controls/ros2_controllers/issues/625>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Jun 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.9.0-1noble) noble; urgency=high

  * Use branch name substitution for all links (#618 <https://github.com/ros-controls/ros2_controllers/issues/618>)
  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.8.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.7.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.6.0-1noble) noble; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.5.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.4.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-rolling-tricycle-controller (3.3.0-1noble) noble; urgency=high

  * Use std::clamp instead of rcppmath::clamp (#540 <https://github.com/ros-controls/ros2_controllers/issues/540>)
  * Remove publish_rate argument (#529 <https://github.com/ros-controls/ros2_controllers/issues/529>)
  * Contributors: Christoph Fröhlich, Tony Najjar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-rolling-tricycle-controller (3.2.0-1noble) noble; urgency=high

  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>)
  * Contributors: Tyler Weaver, Chris Thrasher

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 00:00:00 -0000

ros-rolling-tricycle-controller (3.1.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Jan 2023 00:00:00 -0000

ros-rolling-tricycle-controller (3.0.0-1noble) noble; urgency=high

  * Add backward_ros to all controllers (#489 <https://github.com/ros-controls/ros2_controllers/issues/489>)
  * Fix deprecation warnings when compiling (#478 <https://github.com/ros-controls/ros2_controllers/issues/478>)
  * Contributors: Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-rolling-tricycle-controller (2.15.0-1noble) noble; urgency=high

  * [TricycleController] Removed “publish period” functionality ⏱ #abi-break #behavior-break (#468 <https://github.com/ros-controls/ros2_controllers/issues/468>)
  * Contributors: Robotgir, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-rolling-tricycle-controller (2.14.0-1noble) noble; urgency=high

  * Include <string> to fix compilation error on macOS (#467 <https://github.com/ros-controls/ros2_controllers/issues/467>)
  * Contributors: light-tech

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 00:00:00 -0000

ros-rolling-tricycle-controller (2.13.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000

ros-rolling-tricycle-controller (2.12.0-1noble) noble; urgency=high

  * Fix formatting CI job (#418 <https://github.com/ros-controls/ros2_controllers/issues/418>)
  * Fix formatting because pre-commit was not running on CI for some time. (#409 <https://github.com/ros-controls/ros2_controllers/issues/409>)
  * Contributors: Denis Štogl, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Aug 2022 23:00:00 -0000

ros-rolling-tricycle-controller (2.11.0-1noble) noble; urgency=high

  * Tricycle controller (#345 <https://github.com/ros-controls/ros2_controllers/issues/345>)
  * Contributors: Bence Magyar, Tony Najjar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Aug 2022 23:00:00 -0000


